#ifndef T_CPU
#define T_CPU

typedef struct {
      int (*reset)();
      int (*init)();
      int (*step)();
      int (*interrupt)(int type);
      int (*message)(int packet);
      int (*getopname)(char *opname, unsigned long address);
      unsigned int (*bus)(unsigned char d, unsigned char size, unsigned long int address,unsigned long int data);
      void *regs;
} t_cpu;
#endif
/* defines that every cpu should have */
